from launch import LaunchDescription
from launch_ros.actions import Node

def generate_launch_description():
    return LaunchDescription([
        Node(
            package='fanuc_control_panel',
            executable='fanuc_control_panel_connector',
            name='fanuc_control_panel_connector'
        ),
        Node(
            package='fanuc_control_panel',
            executable='fanuc_control_panel_gui',
            name='fanuc_control_panel_gui'
        ),
        Node(
            package='fanuc_control_panel',
            executable='fanuc_control_panel_status_viewer',
            name='fanuc_control_panel_status_viewer'
        ),
        Node(
            package='fanuc_control_panel',
            executable='fanuc_control_panel_trajectory_queue',
            name='fanuc_control_panel_trajectory_queue'
        )
    ])